"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseStringWithUrl = void 0;
const URL_REGEX = /(.*url\()(.+)(\).*)/;
function parseStringWithUrl(value) {
    const result = value.match(URL_REGEX);
    if (result === null) {
        throw new Error(`parseStringWithUrl(): Failed to find matches of "url()" in "${value}"`);
    }
    return {
        prefix: result[1],
        url: result[2],
        suffix: result[3],
    };
}
exports.parseStringWithUrl = parseStringWithUrl;
//# sourceMappingURL=parseStringWithUrl.js.map